import { AfterViewInit, OnDestroy } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { MatButton } from '@angular/material/button';
import { RxapFormArray } from '@rxap/forms';
import * as i0 from "@angular/core";
export declare class FormArrayAddItemButtonDirective implements AfterViewInit, OnDestroy {
    protected readonly parent: ControlContainer;
    protected readonly matButton: MatButton;
    type: string;
    protected formArray: RxapFormArray;
    private _controlDisabledSubscription?;
    constructor(parent: ControlContainer, matButton: MatButton);
    get disabled(): boolean;
    protected get isDisabled(): boolean;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    protected onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormArrayAddItemButtonDirective, [{ optional: true; skipSelf: true; }, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FormArrayAddItemButtonDirective, "[rxapFormArrayItemAddButton]", never, {}, {}, never, never, true, never>;
}
